Installation Media - Bug #2853

2020.08.02 ISOs won't boot on 32-bit computer
2020-08-03 01:08 PM - A_Linux_user

Status: confirmed % Done: 0%
Priority: bug

Assignee:

Category: i686

Description

Dear Parabola users/devs,

I've discovered an error releated to the Net install ISOs.
When | try to boot them on a 32-bit PC, | get an error which says:

This kernel requires an x86-64 CPU, but only detected an i686 CPU.
Unable to boot - please use a kernel appropirate for your CPU.

although | chose the 1686 option in the boot menu (the x86-64 one doesn't even appear).
e |t affects both OpenRC and systemd releases.
¢ | downloaded them using magnet link, files checked with supplied sha512sums (no checksum mismatch).

¢ The previous OpenRC image (2020.01.18) is unaffected.

The CPU is a Mobile Pentium 4 @ 3,06 GHz.

Related issues:
Related to Installation Media - Bug #3032: Can't boot on Pentium M (32bit cpu) duplicate

History

#1 - 2020-08-03 02:40 PM - bill-auger

- Status changed from unconfirmed to confirmed

- Category set to i686

- Subject changed from 2020.08.02 install ISOs won't boot on 32-bit computer to 2020.08.02 ISOs won't boot on 32-bit computer

#2 - 2020-08-25 08:59 PM - lorecast162

The same error is encountered here both on CLI images and LXDE images.

#3 - 2021-05-18 02:08 AM - bill-auger
- Related to Bug #3032: Can't boot on Pentium M (32bit cpu) added

#4 - 2021-05-19 02:24 PM - Kremix

hello. any ETA on the fix please? it has been 10 months already. Is it gonna be fixed at all? Can you please create 32 bit only LXDE to make it easier
to install the system? thanks
